Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.store
Class Messages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.store.Messages

    public class Messages

extends MessageBundle

Message bundle used by the BPEL provider implementation.

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`Messages()`

Method Summary
`java.lang.String` | `msgDeployFailCompileErrors(CompilationException ce)`
`java.lang.String` | `msgDeployFailDuplicateDU(java.lang.String name)`
`java.lang.String` | `msgDeployFailDuplicatePID(javax.xml.namespace.QName processId, java.lang.String name)`
`java.lang.String` | `msgDeployFailed(javax.xml.namespace.QName name, java.io.File deploymentUnitDirectory)`
`java.lang.String` | `msgDeployFailedProcessNotFound(javax.xml.namespace.QName pid, java.lang.String du)`
`java.lang.String` | `msgDeployRollback(java.io.File deploymentUnitDirectory)`
`java.lang.String` | `msgDeployStarting(java.io.File deploymentUnitDirectory)`
`java.lang.String` | `msgOdeInitHibernateDialectDetectFailed()`
`java.lang.String` | `msgOdeInitHibernateErrorReadingHibernateProperties(java.io.File hibernatePropFile)`
`java.lang.String` | `msgOdeInitHibernatePropertiesNotFound(java.io.File expected)`

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### msgDeployStarting

    public java.lang.String msgDeployStarting(java.io.File deploymentUnitDirectory)

### msgDeployFailed

    public java.lang.String msgDeployFailed(javax.xml.namespace.QName name,
                                            java.io.File deploymentUnitDirectory)

### msgDeployRollback

    public java.lang.String msgDeployRollback(java.io.File deploymentUnitDirectory)

### msgOdeInitHibernatePropertiesNotFound

    public java.lang.String msgOdeInitHibernatePropertiesNotFound(java.io.File expected)

### msgOdeInitHibernateErrorReadingHibernateProperties

    public java.lang.String msgOdeInitHibernateErrorReadingHibernateProperties(java.io.File hibernatePropFile)

### msgOdeInitHibernateDialectDetectFailed

    public java.lang.String msgOdeInitHibernateDialectDetectFailed()

### msgDeployFailDuplicateDU

    public java.lang.String msgDeployFailDuplicateDU(java.lang.String name)

### msgDeployFailDuplicatePID

    public java.lang.String msgDeployFailDuplicatePID(javax.xml.namespace.QName processId,
                                                      java.lang.String name)

### msgDeployFailedProcessNotFound

    public java.lang.String msgDeployFailedProcessNotFound(javax.xml.namespace.QName pid,
                                                           java.lang.String du)

### msgDeployFailCompileErrors

    public java.lang.String msgDeployFailCompileErrors(CompilationException ce)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD